aqiao580
aqiao580
采纳率100%
2021-01-29 10:52

echarts5 引入水波图3.0插件失败,求大神指点迷津

50
已结题

 

  • 点赞
  • 收藏
  • 复制链接分享

39条回答

  • bosaidongmomo bosaidongmomo 3月前
    npm install echarts@5.0.0

    版本是@5.0.1 然后同样报错

    然后下了官方的demo

    https://github.com/ecomfe/echarts-liquidfill

    点赞 1 评论 复制链接分享
  • qq_19689967 ONEGISER1305780485 3月前

    npm install echarts@5.0.1   echarts5.0.0确实会报你的这种错误,我是react环境下测试的

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    就当我准备直接去源码里拷js的时候

    奇迹发生了

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    你会发现 @5.0.3 下不下来

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    最后看了一下

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前
  • bosaidongmomo bosaidongmomo 3月前

    将在外,军命有所不受。

    点赞 评论 复制链接分享
  • aqiao580 aqiao580 3月前

    领导不让装,不然我也不会这么折腾自己

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    那就装个echart 4.9 不就万事大吉了

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前
  • aqiao580 aqiao580 3月前

    调了一天了,调不动,所以求助大家

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    自己调嘛

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    node包和 网页版的 不一致 很正常...

    点赞 评论 复制链接分享
  • aqiao580 aqiao580 3月前

    你用的是echarts5.0加3.0的水波球吗

     

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    可是我这里是好的

    点赞 评论 复制链接分享
  • aqiao580 aqiao580 3月前

    是啊,你们都不去尝试一下的吗?就下载npm i echarts 跟npm i echarts-liquidfill这两个东西,然后就引入,引入后运行就报错,我都没改过他本身的代码,运行就直接报错

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    那你提供的代码 只能看到这么多了。。。

    点赞 评论 复制链接分享
  • aqiao580 aqiao580 3月前

    兄弟,这个是type要大写,不是引入部分,仔细看

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    点赞 评论 复制链接分享
  • aqiao580 aqiao580 3月前

    @无厘头编程 我引入了,刚刚发了两个图,第一个图是main.js的代码,第二个图是页面的代码,因为我只有这个页面需要用到水波图,没必要设为全局变量

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前
    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    看报错,像是 你用了 非node的包的语法... 但是node包里没有那个函数

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    也是做过组件

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    点赞 评论 复制链接分享
  • bosaidongmomo bosaidongmomo 3月前

    我没有装过这个liquidFill... 但是用过echarts... node支持 和非node支持的js不能混用...

     

    点赞 评论 复制链接分享
  • fly_bear_unknown 无厘头编程 3月前

    没见你引入, 在 main.js 例如:

    import 'echarts-liquidfill/src/liquidFill';

    点赞 评论 复制链接分享
  • aqiao580 aqiao580 3月前

    你还想要什么代码呢?都跟你说是引入报错,引入了echarts-liquidfill后就直接报错,这个插件是我npm install下载的

    点赞 评论 复制链接分享
  • bill20100829 歇歇 3月前

    不完整

    点赞 评论 复制链接分享
  • aqiao580 aqiao580 3月前

    这个是引入水波球的时候就报错了的,并没有生成任何图表

     

    点赞 评论 复制链接分享
  • bill20100829 歇歇 3月前

    贴代码出来

    点赞 评论 复制链接分享
  • fly_bear_unknown 无厘头编程 3月前

    重启看看。

    点赞 评论 复制链接分享
  • bill20100829 歇歇 3月前

    是否缺少world.js

    点赞 评论 复制链接分享
  • fly_bear_unknown 无厘头编程 3月前

    有没有 

    @Component
    点赞 评论 复制链接分享
  • bill20100829 歇歇 3月前

    如果echarts.jsRequireJS之前引入,页面中就无法加载ehcarts依赖之外的模块

    点赞 评论 复制链接分享
  • bill20100829 歇歇 3月前

    先执行一次myChart.setOption(option)生成eModel,等到所有代码执行完毕,再执行一次myChart.setOption(option)生成正确的图表

    点赞 评论 复制链接分享
  • bill20100829 歇歇 3月前

    因为初始化option中的series属性并没有与myCharts.setOption中的series属性一一对应,因此导致series并未被完全加载。

    点赞 评论 复制链接分享